petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESSetIterationNumber

Sets the current iteration number.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetIterationNumber(SNES snes,PetscInt iter)

Not Collective

### Input Parameter

snes -SNES context
iter -iteration number

### Keywords

SNES, nonlinear, set, iteration, number,

### See Also

SNESGetLinearSolveIterations()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages